<?php
include("config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_check_members.php3");
include($BIB."bib_mailing.php3");
include($BIB."bib_tables.php3");
include($BIB."bib_curl.php3");

include($BIB.$ORIGINE."_bib_check_members_vip.php3");
	
##############################################################################
# MAIN
##############################################################################
$sess = open_page($sessid);

if ($sess->memberid != -1)
	$onceMId = true;
else
	$onceMId = false;

# l'origine est éventuellement dans la session
if ($sess->origine != "")
{
	$Origine = $sess->origine;
}
else
{
	$sess->origine = $Origine = $ORIGINE;
}
/*	
if( $onceMId )
	$sess->redirect($MEMBER_PAGE, "");
*/
$ok=0;

if( !$valider && !$conf_code)
{
	if( !$l || !$k )
	{
		$msg = "L'url saisie pour accéder à cette page est erronée.";
		$ok = -1;
	}
	
	if( $k != encryptePassword($Origine."_".$l) )
	{
		$msg = "L'url saisie pour accéder à cette page est erronée.";
		$ok = -1;
	}
	else
	{
		$query = "SELECT Id, Confirme FROM Members WHERE Login='".$l."' AND Origine='".$Origine."'";
		$row = db_fetch_array(main_db_query($query));
		if( !$row )
		{
			$msg = "Le joueur recherché n'existe pas.";
			$ok = -1;
		}
		else
		{
			if( $row["Confirme"] != 0 )
			{
				$msg = "Ce compte a déjà été activé.";
				$ok = -1;
			}
			else
			{
					$msg = "La validation de votre compte de jeu ".$GAME_NAME." est effectuée.<br><br>";
					$query = "UPDATE Members SET Confirme=1 WHERE Login='".$l."' AND Origine='".$Origine."'";
					$rowU = main_db_query($query);
					$ok = 1;
					
					$sess->memberid = $row['Id'];
					$sess->origine = $ORIGINE;	
					$sess->save();
					
					$sess->redirect($MEMBER_PAGE, "confirmationMsg=".urlencode("Votre compte a été validé. Bienvenue sur Kestufoot.") );
					
			}
		}
	}
}

include("header.inc");	
include("confirmation.inc");
include("footer.inc");
close_page($sess);
?> 
